﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Services.Client;
using Microsoft.WindowsAzure.StorageClient;
using Microsoft.WindowsAzure;


namespace WorkerRole1
{
    class TableStorageEntitiesExample
    {
        //public void CreateAuthorTable()
        //{
        //    //need to replace with config settings
        //    CloudStorageAccount StorageAccount = new CloudStorageAccount(new StorageCredentialsAccountAndKey("devstoreaccount1", 
        //        "Eby8vdM02xNOcqFlqUwJPLlmEtlCDXJ1OUzFT50uSRZ6IFsuFq2UVErCz4I6tq/K1SZFPTOtr/KBHBeksoGMGw==")
        //        , new Uri(@"http://127.0.0.1:10000/ ")
        //        , new Uri(@"http://127.0.0.1:10001/ ")
        //        , new Uri(@"http://127.0.0.1:10002/ "));

        //    var TableClient = StorageAccount.CreateCloudTableClient();
        //    TableClient.CreateTable("Authors");
         
//        }
    }

    public class TableStorageAuthor:Microsoft.WindowsAzure.StorageClient.TableServiceEntity
    {
        public string Id {get; set;}
        public string LastName { get; set; }
        public string FirstName { get; set; }
        public string Phone { get; set; }
        public string Address { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string Zip {get; set;}
    }


    public class AuthorDataServiceContext : TableServiceContext 
    {
        public IQueryable<TableStorageAuthor> AuthorData
        {
            get{return this.CreateQuery<TableStorageAuthor>("Authors");}
        }

           
        public AuthorDataServiceContext (Uri baseAddress, StorageCredentials credentials)
        : base(baseAddress.AbsoluteUri, credentials)
        {}

        public void Add(TableStorageAuthor author)
        {
            
            this.AddObject("Authors", author);
            DataServiceResponse dsResponse = SaveChanges();
           
        }


    }
}
